package addobserver;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.Observer;
import java.util.Observable;

// Observer zhlt die Anzahl Zugriffe auf die Integer 'arg'
class Statistician implements Observer {
    private int[] counts;
    Statistician(int array_size) {
        counts = new int[array_size];
    }
    public void update(Observable o, Object arg) {
        Integer int_obj = (Integer)arg;
        if (int_obj.intValue() < counts.length)
            ++counts[int_obj.intValue()];
    }
    public void report() {
        System.out.println("nderungen: ");
        for (int i = 0; i < counts.length; i++)
            System.out.println(FarbObservable.colorName(i) + ": " + counts[i]);
    }
}

// Observer zeigt die einzelnen nderungen
class Echoer implements Observer {
    int current_color;
    public void update(Observable o, Object arg) {
        int new_color = ((Integer)arg).intValue();
        System.out.println("Von " +
                           FarbObservable.colorName(current_color) +
                           " auf " +
                           FarbObservable.colorName(new_color));
        current_color = new_color;
    }
}
