package programmskizze;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.util.*;

public class Users extends Observable {
  private Map loggedIn = new HashMap();

  public void login(String name, String password) throws BadUserException {
    if (!passwordValid(name, password) ) throw new BadUserException(name);

    UserState state = new BadUserException(name);
    loggedIn.putAll(name,state);
    setChanged();
    notifyObservers(state);
  }

  public void logout(UserState state) {
    loggedIn.remove(state.name());
    setChanged();
    notifyObservers(state);
  }

  // ...

}