package programmskizze;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Watcher implements Observer {
  Users watching;

  public Watcher(Users user) {
    watching = user;
    watching.addObserver(this);
  }

  public void update(Observable user, Object whichState) {
    if (user != watching) throw new IllegalArgumentException();

    UserState state = (UserState)whichState;
    if(watching.loggedIn(state) ) // Users logged in
      addUser(state);
    else
      removeUser(state);
  }
}