package next;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.Random;

// Unterklasse fr Bytes und so.
class NRandom extends Random {
    NRandom() {
    }

    NRandom(long seed) {
        super(seed);
    }

    public byte nextByte() {
        return (byte)next(8);   // Random low-order 8 bits
    }

    public short nextShort() {  // Random low-order 16 bits
        return (short)next(16);
    }
}

public class Main {
    public static void main(String[] args) {
        NRandom rand = new NRandom(1997);

        // Byte Sequenz.
        for (int i = 0; i < 20; i++) {
            System.out.print(rand.nextByte() + " ");
        }
        System.out.println("\n");

        // Reset .
        rand.setSeed(1997);
        for (int i = 0; i < 20; i++) {
            System.out.print(rand.nextShort() + " ");
        }
        System.out.println("\n");
    }
}
