package timertask;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.Timer;
import java.util.TimerTask;
import java.awt.Toolkit;

/**
 * Einfache java.util.Timer Demo
 * Alle 5 Sekunden
 */

public class ReminderBeep {
    Toolkit toolkit;
    Timer timer;

    public ReminderBeep(int seconds) {
	toolkit = Toolkit.getDefaultToolkit();
        timer = new Timer();
        timer.schedule(new RemindTask(), seconds*1000);
    }

    class RemindTask extends TimerTask {
        public void run() {
            System.out.println("Zeit ist abgelaufen!");
	    toolkit.beep();
	    //timer.cancel(); // System.exit
	    System.exit(0);   //Stopped den AWT Thread
        }
    }

    public static void main(String args[]) {
	System.out.println("TaskSchedule festlegen.");
        new ReminderBeep(5);
	System.out.println("TaskSchedule festgelegt.");
    }
}
